%define lib_major 2

%define lib_name %mklibname art_lgpl %{lib_major}
%define develname %mklibname -d art_lgpl

%define url_ver	%(echo %{version}|cut -d. -f1,2)


Summary:	Library for high-performance 2D graphics
Name:		libart_lgpl
Version:	2.3.21
Release:	%mkrel 4
Source0:	https://download.gnome.org/sources/libart_lgpl/%{url_ver}/%{name}-%{version}.tar.xz
License:	LGPL
URL:		http://www.levien.com/libart/
Group:		System/Libraries

%description
This is the LGPL'd component of libart.  Libart is a library for 
high-performance 2D graphics. All functions needed for
running the Gnome canvas, and for printing support, will be going in
here. The GPL'd component will be getting various enhanced functions
for specific applications.

%package -n %{lib_name}
Summary:	%{summary}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:  lib64art_lgpl_2
Provides:   lib64art_lgpl_2 = %{version}-%{release}

%description -n %{lib_name}
This is the LGPL'd component of libart.  Libart is a library for 
high-performance 2D graphics. All functions needed for
running the Gnome canvas, and for printing support, will be going in
here. The GPL'd component will be getting various enhanced functions
for specific applications.

%package -n %develname
Summary:	%{summary}
Group:		Development/Libraries
Provides:	art_lgpl-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d art_lgpl 2
Requires:	pkgconfig >= 0.8
Requires:	%{lib_name} = %{version}-%{release}


%description -n %develname
This is the LGPL'd component of libart.  Libart is a library for 
high-performance 2D graphics. All functions needed for
running the Gnome canvas, and for printing support, will be going in
here. The GPL'd component will be getting various enhanced functions
for specific applications.


%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std
%multiarch_binaries %buildroot%_bindir/*-config
%multiarch_includes %buildroot%_includedir/libart-2.0/libart_lgpl/art_config.h

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{lib_name}
%{_libdir}/libart_lgpl_2.so.%{lib_major}*

%files -n %develname
%{_bindir}/*-config
%{_bindir}/*/libart2-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Sat Jan 11 2020 tex - 2.3.21-4pclos2020
- wtf obsolete and provides lib64art_lgpl_2

* Fri Jun 28 2019 tex - 2.3.21-3pclos2019
- rebuild against updates

* Sat May 28 2016 bb <bb> 2.3.21-2pclos2016
- rebuild for 2016

